<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:emojicon="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/chat_coordinator_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".page.chat.BaseChatActivity">
    <include layout="@layout/chat_toolbar" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/chat_recycler_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="bottom"
        android:layout_marginBottom="56dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:descendantFocusability="blocksDescendants"
        android:layout_marginTop="?android:attr/actionBarSize"
        tools:listitem="@layout/item_single_chat_left" />

    <de.beyondsoft.ownchat.utils.ui.EmptyLayout
        android:id="@+id/chat_empty_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@color/colorWhite"
        android:gravity="center"
        app:layout_behavior="de.beyondsoft.ownchat.utils.ui.LinearLayoutBehavior">

        <ImageView
            android:id="@+id/emoji_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:paddingBottom="10dp"
            android:paddingStart="16dp"
            android:paddingTop="10dp"
            android:src="@drawable/smiley"
            tools:ignore="RtlSymmetry" />

        <ImageView
            android:id="@+id/chat_attachment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:paddingBottom="10dp"
            android:paddingEnd="22dp"
            android:paddingStart="16dp"
            android:paddingTop="10dp"
            android:src="@drawable/attachment"
            tools:ignore="RtlSymmetry" />

        <hani.momanii.supernova_emoji_library.Helper.EmojiconEditText
            android:id="@+id/chat_message"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:maxHeight="100dp"
            android:layout_weight="1"
            android:background="@android:color/transparent"
            android:hint="@string/chat_type_your_message"
            android:paddingEnd="5dp"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:scrollHorizontally="false"
            android:scrollbars="vertical"
            android:textColor="@color/colorBlack"
            android:textColorHint="@color/colorManatee"
            emojicon:emojiconSize="28sp"
            tools:ignore="RtlSymmetry" />

        <ImageView
            android:id="@+id/chat_send_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:paddingEnd="16dp"
            android:src="@drawable/send"
            tools:ignore="RtlSymmetry" />

    </LinearLayout>

</android.support.design.widget.CoordinatorLayout>